Name:           pbuilder
Version:        0.215
Release:        7%{?dist}
Summary:        Personal package builder for Debian packages

License:        GPLv2+
URL:            http://packages.debian.org/unstable/admin/%{name}
Source0:        http://ftp.debian.org/debian/pool/main/p/%{name}/%{name}_%{version}.tar.gz
Source1:        README.fedora
# Use portable mktemp instead of tempfile (upstreamable)
Patch0:         pbuilder_tempfile.patch
# Don't chown files to root when installing
Patch1:         pbuilder_no-chown.patch
# Don't hardcode pbuilder user id, add a ccache section
Patch2:         pbuilder_pbuilderrc.patch
# Don't test non-existing ubuntu arm-mirrors
Patch3:         pbuilder_test-arm.patch

BuildArch:      noarch

BuildRequires:  dblatex
BuildRequires:  dpkg-dev
BuildRequires:  man-db
Requires:       debootstrap
Requires:       debconf
Requires:       debhelper
Requires:       devscripts
Requires:       dpkg-dev
Requires:       gnupg
Requires:       wget
Requires:       sudo
Requires:       gcc
Requires:       fakeroot

%description
pbuilder constructs a chroot system, and builds a package inside the chroot.
It is an ideal system to use to check that a package has correct build-
dependencies.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Adjust ccache path
sed -i 's|/usr/lib/ccache|%{_libdir}/ccache|g' pbuilderrc


%build
make %{?_smp_mflags}


%install
%make_install

# Man pages
install -Dpm 0644 debuild-pbuilder.1 %{buildroot}%{_mandir}/man1/debuild-pbuilder.1
install -Dpm 0644 pdebuild.1 %{buildroot}%{_mandir}/man1/pdebuild.1
install -Dpm 0644 pbuilderrc.5 %{buildroot}%{_mandir}/man5/pbuilderrc.5
install -Dpm 0644 pbuilder.8 %{buildroot}%{_mandir}/man8/pbuilder.8

# Install directories
install -d %{buildroot}%{_localstatedir}/cache/%{name}
install -d %{buildroot}%{_localstatedir}/cache/%{name}/build
install -d %{buildroot}%{_localstatedir}/cache/%{name}/ccache

# Configuration file
install -Dpm 0644 pbuilderrc %{buildroot}%{_sysconfdir}/pbuilderrc

# Copy README.fedora to root
cp -a %{SOURCE1} README.fedora


%pre
getent group %{name} > /dev/null || groupadd -r %{name}
getent passwd %{name} > /dev/null || \
  useradd -r -g %{name} -d %{_localstatedir}/run/%{name} -s /sbin/nologin \
    -c "%{name}" %{name}
exit 0


%check
make check


%files
%doc README AUTHORS THANKS debian/TODO README.fedora
%{_sysconfdir}/bash_completion.d/
%config(noreplace) %{_sysconfdir}/pbuilderrc
%config(noreplace) %{_sysconfdir}/pbuilder/
%{_bindir}/debuild-pbuilder
%{_bindir}/pbuilder-user-mode-linux
%{_bindir}/pdebuild
%{_bindir}/pdebuild-user-mode-linux
%{_sbindir}/pbuilder
%{_prefix}/lib/pbuilder/
%{_datadir}/pbuilder/
%{_mandir}/man1/debuild-pbuilder.1*
%{_mandir}/man1/pdebuild.1*
%{_mandir}/man5/pbuilderrc.5*
%{_mandir}/man8/pbuilder.8*
%{_localstatedir}/cache/%{name}
# The ccache folder needs to be owned by the pbuilder user
%attr(0755,%{name},root) %{_localstatedir}/cache/%{name}/ccache

# exclude user-mode-linux scripts
%exclude %{_sysconfdir}/pbuilder/pbuilder-uml.conf
%exclude %{_datadir}/pbuilder/pbuilder-uml.conf
%exclude %{_bindir}/pbuilder-user-mode-linux
%exclude %{_bindir}/pdebuild-user-mode-linux
%exclude %{_prefix}/lib/pbuilder/pbuilder-uml-checkparams
%exclude %{_prefix}/lib/pbuilder/pdebuild-uml-checkparams


%changelog
* Tue Oct 29 2013 Sandro Mani <manisandro@gmail.com> - 0.215-7
- Drop pbuilder_pdebuild-bindmounts.patch (one should use pdebuild -- --bindmounts <dir> instead)
- Fix README.fedora: ubuntu-keyring is called ubu-keyring

* Fri Oct 18 2013 Sandro Mani <manisandro@gmail.com> - 0.215-6
- Add patch to make it possible to pass --bindmounts to pdebuild

* Mon Oct 14 2013 Sandro Mani <manisandro@gmail.com> - 0.215-5
- Package is noarch
- Co-own %{_sysconfdir}/bash_completion.d/

* Thu Oct 10 2013 Sandro Mani <manisandro@gmail.com> - 0.215-4
- Improve README.fedora
- Add some missing requires

* Tue Oct 08 2013 Sandro Mani <manisandro@gmail.com> - 0.215-3
- Don't test non-existing ubuntu arm mirrors

* Thu Sep 19 2013 Sandro Mani <manisandro@gmail.com> - 0.215-2
- Create build and ccache directories in /var/cache/pbuilder
- Don't use hardcoded user id
- Prepare pbuilderrc for ccache usage

* Thu Sep 19 2013 Sandro Mani <manisandro@gmail.com> - 0.215-1
- Initial package
